awe.sm Stats API

Retrieve Details and Stats for Multiple Links

Get the details for a list of specified awesm_ids.

Note: If you don't have a list of links, but want stats for links matching certain criteria, use stats/range with filters, groups, and pivots.

GETapi.awe.sm/stats/awesm_ids/batch.json

The POST method is also supported. HTTPS is supported on this endpoint.

Required Parameters

Parameter Type Description
awesm_ids string Comma-separated list of awesm_ids on which you want to retrieve
key string or array API key(s) of the project(s) on which stats are being requested.
v integer API version: 3 for this endpoint.

Optional Parameters

Parameter Type Description
callback string Returns a JSON-P response named with this parameter's value.
start_date date The beginning of the period for which you want data, rounded to previous hour. Requires value after 2010-06-04.
end_date date The end of the period for which you want data, rounded to next hour.
with_conversions boolean Flag to include conversion values in response. Default is FALSE.
with_metadata boolean Flag to include metadata objects in response. Default is FALSE.

Pagination Parameters

Parameter Type Description
per_page integer The maximum number of results returned per request. Default is 10.
page integer The group of results to be returned if the number of results is greater than the per_page value. Page numbers start at and default to 1.
offset integer The position of the first result to be returned. Overrides page if specified. Should be set to last_offset value returned in the previous page.

Related APIs

Example

GET http://api.awe.sm/stats/awesm_ids/batch.json?v=3&key=5c8b1a212434c2153c2f2c2f2c765a36140add243bf6eae876345f8fd11045d9&awesm_ids=demo.awe.sm_K7e,demo.awe.sm_KD7,demo.awe.sm_K8E

{
    "awesm_ids": [
        {
            "awesm_id": "demo.awe.sm_K7e",
            "clicks": 5,
            "last_clicked_at": "2012-12-30T08:09:56Z"
        },
        {
            "awesm_id": "demo.awe.sm_KD7",
            "clicks": 2,
            "last_clicked_at": "2013-01-04T12:07:58Z"
        },
        {
            "awesm_id": "demo.awe.sm_K8E",
            "clicks": 2,
            "last_clicked_at": "2012-12-18T02:29:30Z" 
        }
    ],
    "end_date": null,
    "interval": null,
    "last_offset": 3,
    "offset": 0,
    "page": 1,
    "per_page": 10,
    "start_date": null,
    "total_results": 3,
    "with_conversions": false,
    "with_metadata": false,
    "with_zeros": false
}

Last updated 2013-01-10